## Outward SideLoader

The Outward SideLoader is an API and a mod development toolkit for creating and editing custom content.

Please view the **[SideLoader Docs](https://sinai-dev.github.io/OSLDocs/#/)** for full documentation on SideLoader.

### Latest changes

#### 3.5.1 / 3.5.2:

* Fixed SL_Character damage bonus to account for recent game code changes
* Fixed SL_Character FollowTransform not being saved correctly in some cases
* Added `OnBeforeHotReload` C# event

#### 3.5.0:

* Rewrote a lot of the plugin, updated and cleaned up. Using publicized libs to avoid reflection.

#### 3.4.10

* Fixed `SL_SpawnSLCharacter.SpawnOffset` not actually doing anything

### Installation (manual)

For a manual installation, do the following

1. Create the folder(s): `Outward\BepInEx\plugins\SideLoader\`.
2. Extract the archive into a folder. **Do not extract into the Outward game folder.**
3. Move the contents of the `plugins\` folder from the archive into the `BepInEx\plugins\SideLoader` folder you created.
3. It should look like `Outward\BepInEx\plugins\SideLoader\SideLoader.dll`, etc
4. Launch the game, you should see a new keybinding in your in-game keybindings for the SideLoader menu.